#include <iostream>

using namespace std;

int main()
{
   int n,k;
   cin>>n>>k;
   int a[n];
   for(int i=0; i<n; i++)
       cin>>a[i]>>" ";
   if(n==2)
   {
    int pom=a[0];
   a[0]=a[1];
   a[1]=pom;
   }
   for(int i=0; i<n; i++)
       cout<<a[i]<<" ";
   
}